seo:
  title: Cloud strategy and adoption roadmap for businesses
  description: >-
    Everything you need to know for transforming your business to the cloud and
    how to plan out the perfect strategy for it.
  ogTitle: Cloud strategy and adoption roadmap for businesses
  ogDescription: >-
    Everything you need to know for transforming your business to the cloud and
    how to plan out the perfect strategy for it.
  noIndex: false
  ogImage: images/blog/hero-images/cloud-adoption-roadmap.jpg
  ogUrl: https://about.gitlab.com/blog/cloud-adoption-roadmap
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: https://about.gitlab.com/blog/cloud-adoption-roadmap
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "Cloud strategy and adoption roadmap for businesses",
            "author": [{"@type":"Person","name":"Chrissie Buchanan"}],
            "datePublished": "2019-12-05",
          }

content:
  title: Cloud strategy and adoption roadmap for businesses
  description: >-
    Everything you need to know for transforming your business to the cloud and
    how to plan out the perfect strategy for it.
  authors:
    - Chrissie Buchanan
  heroImage: images/blog/hero-images/cloud-adoption-roadmap.jpg
  date: '2019-12-05'
  body: >


    Organizations continue to focus on scalability and growth, and cloud can be
    a valuable asset in those strategies. When it comes to cloud adoption, not
    every organization takes the same path – some already work in multiple
    clouds, some work in industries with strict compliance standards, and some
    may only be starting their cloud journey.


    It’s estimated that investments in infrastructure to support cloud computing
    account for [more than a third of all IT
    spending](https://www.zdnet.com/article/top-cloud-providers-2019-aws-microsoft-azure-google-cloud-ibm-makes-hybrid-move-salesforce-dominates-saas/),
    and teams want to make sure they’re investing in the right things that
    benefit them for the long-term. In order to implement the best cloud
    strategies to meet your needs, a cloud adoption roadmap should have four key
    steps:


    *   Assessment

    *   Planning

    *   Implementation

    *   Optimization


    ## What is cloud adoption?


    Cloud adoption aims to mitigate risk, reduce costs, and gain organizational
    scalability of database capabilities. “The cloud” refers to software and
    services that live and operate online rather than in an on-premise network
    of servers or local computers, and it creates incomparable flexibility in
    daily operations. The cloud provides the necessary speed for an organization
    to launch new releases quickly, securely, and efficiently.


    ## Assessing cloud-readiness


    Cloud adoption does not guarantee scalability and growth on its own. In
    order for cloud implementation to be successful, organizations have to
    identify challenges and expertise gaps that affect their cloud-readiness.
    For example, a lift-and-shift to the cloud isn’t going to produce great
    results if existing business applications are monolithic and/or outdated. In
    this scenario, companies will need to commit to an [application
    modernization](/blog/2019/03/27/application-modernization-best-practices/)
    strategy that makes a cloud investment worthwhile.


    For large enterprises currently working in a traditional IT environment,
    there may be internal barriers such as lack of organizational buy-in,
    reluctance to invest the required resources in a multiyear effort, or even
    regulatory and compliance restraints. On average, [enterprise adoption
    remains low at around
    20%](https://www.mckinsey.com/business-functions/mckinsey-digital/our-insights/cloud-adoption-to-accelerate-it-modernization),
    so it may be beneficial for these organizations to adopt cloud’s
    [agile](/solutions/agile-delivery/) and automated operating model within
    their traditional IT, at least in the short-term.


    As part of the assessment stage of your cloud adoption roadmap, ask yourself
    the following questions:


    1. Do we have the internal expertise necessary for a cloud migration or will
    we need to implement an education or hiring plan?

    2. Do we have industry requirements or compliance regulations to consider?

    3. Will we need to tackle legacy application modernization as well?

    4. What strategies have worked for similar companies in similar industries?


    ## Creating a plan


    After identifying challenges and opportunities to cloud adoption, the work
    on an implementation plan begins. Whether it’s a cloud transformation or
    just migrating from one cloud to another, it’s important to create
    actionable steps and have the right leadership in place to guide the
    process.


    Keeping your assessment in mind, your organization will need to decide which
    clouds and cloud models work best for your needs and business goals. You’ll
    need to evaluate public, private, or hybrid clouds, in addition to SaaS,
    IaaS and PaaS cloud models, to determine which combination fits within your
    limitations. Having leaders with expertise in these areas of cloud
    computing, rather than relying on information from the cloud service
    providers themselves, will ensure that decisions are unbiased with your
    unique needs in mind.


    ![cloud
    models](https://about.gitlab.com/images/blogimages/cloud_models.png){:
    .shadow.medium.center}


    But what if you want to use multiple cloud providers? This is where a
    [multicloud](/topics/multicloud/) approach can be beneficial.


    ### What is multicloud?


    Multicloud describes [how enterprises use multiple cloud providers to meet
    different technical or business
    requirements](https://www.zdnet.com/article/multicloud-everything-you-need-to-know-about-the-biggest-trend-in-cloud-computing/).
    At its core, multicloud is made possible through cloud-native applications
    built from containers using services and allows for multiple services to be
    managed in one architecture. Research indicates [85% of enterprises
    currently operate in multiple
    clouds](https://www.ibm.com/blogs/cloud-computing/2018/10/19/survey-multicloud-management-tools/).




    During the planning phase of your cloud roadmap, consider the following:


    1. Do we have internal expertise to make sure we’re making the right
    decisions?

    2. Have we evaluated the different cloud models?

    3. Would a multicloud approach be a good fit?


    ## Putting plans into action


    The implementation phase usually requires multiple steps and thrives when
    teams are able to communicate and collaborate with each other. As plans
    change (and they inevitably will), high visibility ensures teams can adapt.


    In our recent migration from Azure to GCP, we documented our progress
    publicly and leaned on three of our [core values](/handbook/values/):
    efficiency, iteration, and transparency. We believe in taking small steps
    and looking for the most [boring
    solutions](/handbook/values/#boring-solutions) because that allows us to get
    feedback quickly and reduce cycle times. Whether migrating to the cloud for
    the first time, or just moving from one cloud to another, things rarely ever
    go smoothly. By practicing iteration, we were able to course correct and
    come up with the right solutions quickly. Learn how we put our values into
    action and watch our presentation at Google Cloud Next ‘19.


    [GitLab’s journey from Azure to
    GCP](/blog/2019/05/02/gitlab-journey-from-azure-to-gcp/)

    {: .alert .alert-gitlab-purple .text-center}


    When implementing cloud strategies, expect your approach to DevOps to change
    as well.


    [DevOps](/topics/devops/) is all about developers and operations working
    together and using the cloud as a common language, and [cloud native app
    development](/topics/cloud-native/) will require a shift to a DevOps
    operating structure. Once you’ve decided on the cloud service and deployment
    models in your adoption roadmap, you’ll also need to evaluate which DevOps
    tools support your cloud initiatives. [Developer tools have a high capacity
    for driving cloud usage](/blog/2019/11/06/gitlab-ci-cd-is-for-multi-cloud/)
    because once you have your application code hosted, the natural next step is
    finding a place to deploy it. For example, if you decided during the
    planning phase to adopt multicloud, having cloud-agnostic tools will play a
    big role in the success of that strategy.


    During the implementation phase of your cloud roadmap, consider the
    following:


    1. Take small steps and practice iteration so you can course correct
    effectively.

    2. Make sure teams have visibility into the cloud process and can
    collaborate as things progress.

    3. Ensure your DevOps structure will be able to support your cloud and cloud
    native application development initiatives.

    4. Evaluate developer tools and consider if cloud-agnostic tools would allow
    more flexibility with multiple clouds.


    ## Cloud optimization and beyond


    While there will inevitably be a point when cloud models and DevOps tools
    have been implemented, a cloud adoption roadmap is really a never-ending
    journey for continuous improvement. By the time a cloud adoption timeline
    has been completed, there will be new technologies and new paths for cloud
    optimization already on the horizon. A solution you implemented may need to
    be deprecated in favor of something that works a little better. A valuable
    part of iteration is making decisions and acting quickly, and that is a
    process that never ends.


    In [Cloud Powers the New Platform
    Economy](https://www.forrester.com/report/Cloud+Powers+The+New+Platform+Economy/-/E-RES120506),
    Forrester explains that you must automate, integrate, and orchestrate all
    the moving parts of your cloud to keep up with the pace of innovation the
    cloud economy demands. As you continue to improve your cloud ecosystems,
    consider the following:


    1. Are we keeping up with the pace of innovation and how can we improve?

    2. Are we investing in next-generation skills and providing continuing
    education opportunities?

    3. Are we evaluating new technologies?

    4. Are we managing our cloud effectively?



    Cover image by [Matt
    Howard](https://unsplash.com/@thematthoward?utm_source=unsplash&utm_medium=referral&utm_content=creditCopyText)
    on
    [Unsplash](https://unsplash.com/s/photos/journey?utm_source=unsplash&utm_medium=referral&utm_content=creditCopyText).

    {: .note}
  category: Insights
  tags:
    - DevOps
    - cloud native
config:
  slug: cloud-adoption-roadmap
  featured: false
  template: BlogPost
